data:extend({
    {
        type = "simple-entity",
        name = "smart-box",
        icon = "__smart-box__/graphics/smart-box.png",
        flags = { "placeable-neutral", "placeable-player", "player-creation" },
        minable = { hardness = 0.2, mining_time = 0.5, result = "smart-box" },
        max_health = 150,
        corpse = "big-remnants",
        render_layer = "object",
        dying_explosion = "huge-explosion",
        collision_box = {{-1.8, -1.8}, {1.8, 1.8}},
        selection_box = {{-2.0, -2.0}, {2.0, 2.0}},
        pictures =
        {
          {
            filename = "__smart-box__/graphics/smart-box-entity.png",
            width = 128,
            height = 128,
            shift = {0, 0}
          },
        }
    },
    {
        type = "decorative",
        name = "smart-box-programmer",
        flags = { "placeable-neutral", "not-on-map" },
        icon = "__smart-box__/graphics/smart-box-programmer-entity.png",
        collision_mask = { "ghost-layer"},
        subgroup = "grass",
        order = "b[decorative]-b[smart-box-programmer]",
        collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
        selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
        selectable_in_game = false,
        render_layer = "radius-visualization",
        pictures = {
            {
                filename = "__smart-box__/graphics/smart-box-programmer-entity.png",
                width = 32,
                height = 32
            }
        }
    },
    {
        type = "accumulator",
        name = "smart-box-accumulator",
        icon = "__smart-box__/graphics/smart-box.png",
        flags = { "placeable-neutral", "player-creation" },
        max_health = 1,
        corpse = "medium-remnants",
        order = "b[decorative]-c[smart-box-accumulator]",
        collision_box = {{0.0, 0.0}, {0.0, 0.0}},
        selection_box = {{0.0, 0.0}, {0.0, 0.0}},
        energy_source = {
            type = "electric",
            buffer_capacity = "10kJ",
            usage_priority = "secondary-input",
            input_flow_limit = "5kW",
            output_flow_limit = "0kW"
        },
        picture = {
            filename = "__smart-box__/graphics/smart-box-acc.png",
            priority = "extra-high",
            width = 1,
            height = 1,
        },
        charge_animation = {
            filename = "__smart-box__/graphics/smart-box-acc.png",
            width = 1,
            height = 1,
            line_length = 1,
            frame_count = 1,
            shift = { 0, 0 },
            animation_speed = 0
        },
        charge_cooldown = 0,
        charge_light = { intensity = 0, size = 0 },
        discharge_animation = {
            filename = "__smart-box__/graphics/smart-box-acc.png",
            width = 1,
            height = 1,
            line_length = 1,
            frame_count = 1,
            shift = {0, 0},
            animation_speed = 0
        },
        discharge_cooldown = 0,
        discharge_light = { intensity = 0, size = 0 },
        working_sound = {
            sound = {
                filename = "__base__/sound/accumulator-working.ogg",
                volume = 0
            },
            idle_sound = {
                filename = "__base__/sound/accumulator-idle.ogg",
                volume = 0
            },
            max_sounds_per_type = 0
        }
    }
})

